Subject: Triangular workflow

From: Harald Nordgren <[email-masked]>
Date: Wed, 14 Jan 2026 08:59:36 +0100

> My workflow is different from Peff's, but it is similar along at least
> one line: it's really convenient to have "git push" with no further
> arguments (only possibly flags) to push my branch to a remote mirror.

Would you also like the status reporting to be off for your push branch?
I asking because that's what Jeff is arguing for.

I fully agree on the convenience of bare 'git push', I use it everyday
together with these settings and commands for max convenience:

    git config --global remote.pushDefault origin # As opposed to upstream
    git config --global push.default current
    git config --global pull.rebase true
    git config --global rebase.autoStash true

    git checkout $(gr | rg '^(upstream|origin)$' | tail -n1)/HEAD -b new_branch
    git push
    git status
    git pull

Harald